/* See LICENSE file for copyright and license details. */
/* Default settings; can be overriden by command line. */

static int topbar = 1;                      /* -b  option; if 0, dmenu appears at bottom     */
static const unsigned int alpha = 0xf0;     /* Amount of opacity. 0xff is opaque             */
static int centered = 1;                    /* -c option; centers dmenu on screen */
static int min_width = 400;                    /* minimum width when centered */
/* -fn option overrides fonts[0]; default X11 font or font set */
static const char *fonts[] = {
	"terminus:size=12"
};
static const char col_nejtmavsi[]       = "#2e3440";
static const char col_tmava[]  = "#434c5e";
static const char col_hlavni[]        = "#687591"; 
static const char col_nejsvetlejsi[]        = "#d8dee9"; 
static const char col_zluta[]        = "#e3ff70"; 
static const char col_cervena1[]        = "#e78284"; 
static const char col_oranzova[]        = "#ef9f76"; 
static const char col_modra1[]        = "#85c1dc"; 
static const char col_zelena[]        = "#aaff71"; 
static const char col_zelena1[]        = "#a6d189"; 
static const char col_fialova1[]        = "#ca9ee6"; 
static const char *prompt      = NULL;      /* -p  option; prompt to the left of input field */
static const char *colors[SchemeLast][2] = {
	/*     fg         bg       */
	[SchemeNorm] = { col_zluta, col_nejtmavsi },
	[SchemeSel] = { col_modra1, col_tmava },
	[SchemeSelHighlight] = { col_zelena, col_tmava },
	[SchemeNormHighlight] = { col_cervena1, col_nejtmavsi},
	[SchemeOut] = { col_zluta, col_zelena },
	[SchemeOutHighlight] = { col_zluta, col_zelena1 },
};

static const unsigned int alphas[SchemeLast][2] = {
	[SchemeNorm] = { OPAQUE, alpha },
	[SchemeSel] = { OPAQUE, alpha },
	[SchemeOut] = { OPAQUE, alpha },
};
/* -l option; if nonzero, dmenu uses vertical list with given number of lines */
static unsigned int lines      = 20;

/*
 * Characters not considered part of a word while deleting words
 * for example: " /?\"&[]"
 */
static const char worddelimiters[] = " ";

/* Size of the window border */
static unsigned int border_width = 1;
