/* See LICENSE file for copyright and license details. */
/* Default settings; can be overriden by command line. */

static int topbar = 1;                      /* -b  option; if 0, dmenu appears at bottom     */
static const unsigned int alpha = 0xf0;     /* Amount of opacity. 0xff is opaque             */
static int centered = 1;                    /* -c option; centers dmenu on screen */
static int min_width = 400;                    /* minimum width when centered */
/* -fn option overrides fonts[0]; default X11 font or font set */
static const char *fonts[] = {
	"Hack Nerd Font Mono:size=10"
};
static const char col_nejtmavsi[]       = "#1d2021";
static const char col_tmava[]  = "#3c3836";
static const char col_hlavni[]        = "#504945";
static const char col_nejsvetlejsi[]        = "#fbf1c7";
static const char col_zluta[]        = "#fabd2f";
static const char col_cervena1[]        = "#fb4934";
static const char col_oranzova[]        = "#fe8019";
static const char col_modra[]        = "#458588";
static const char col_zelena[]        = "#8ec07c";
static const char col_fialova1[]        = "#b16286";
static const char col_koral[]        = "#83a598";
static const char *prompt      = NULL;      /* -p  option; prompt to the left of input field */
static const char *colors[SchemeLast][2] = {
	/*     fg         bg       */
	[SchemeNorm] = { col_nejsvetlejsi, col_nejtmavsi },
	[SchemeSel] = { col_nejtmavsi, col_zelena },
	[SchemeSelHighlight] = { col_nejtmavsi, col_zluta },
	[SchemeNormHighlight] = { col_nejtmavsi, col_zelena},
	[SchemeOut] = { col_nejtmavsi, col_cervena1 },
	[SchemeOutHighlight] = { col_nejtmavsi, col_fialova1 },
};

static const unsigned int alphas[SchemeLast][2] = {
	[SchemeNorm] = { OPAQUE, alpha },
	[SchemeSel] = { OPAQUE, alpha },
	[SchemeOut] = { OPAQUE, alpha },
};
/* -l option; if nonzero, dmenu uses vertical list with given number of lines */
static unsigned int lines      = 20;

/*
 * Characters not considered part of a word while deleting words
 * for example: " /?\"&[]"
 */
static const char worddelimiters[] = " ";

/* Size of the window border */
static unsigned int border_width = 1;
